{{- if .Values.route.enabled }}
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  name: {{ include "opensearch-user-permissions.fullname" . }}
spec:
  {{- with .Values.route.host }}
  host: {{ . }}
  {{- end }}
  {{- with .Values.route.subodomain }}
  subdomain: {{ . }}
  {{- end }}
  port:
    targetPort: oauth-proxy
  tls:
    insecureEdgeTerminationPolicy: Redirect
    termination: edge
  to:
    kind: Service
    name: {{ include "opensearch-user-permissions.fullname" . }}
{{- end }}
